dccm.enma {bio3d} | R Documentation

## Cross-Correlation for Ensemble NMA (eNMA)

### Description

Calculate the cross-correlation matrices from an ensemble of NMA objects.

### Usage

    ## S3 method for class 'enma'
    dccm(x, ncore = NULL, na.rm=FALSE, ...)

### Arguments

`x` | an object of class `enma` as obtained from function `nma.pdbs`.
`ncore` | number of CPU cores used to do the calculation. `ncore>1` requires package ‘parallel’ installed.
`na.rm` | logical, if FALSE the DCCM might containt NA values (applies only when the `enma` object is calculated with argument ‘rm.gaps=FALSE’).
`...` | additional arguments passed to `dccm.nma`.

### Details

This is a wrapper function for calling `dccm.nma` on a collection of ‘nma’ objects as obtained from function `nma.pdbs`.

See examples for more details.

### Value

Returns a list with the following components:

`all.dccm` | an array or list containing the correlation matrices for each ‘nma’ object. An array is returned when the ‘enma’ object is calculated with ‘rm.gaps=TRUE’, and a list is used when ‘rm.gaps=FALSE’.
`avg.dccm` | a numeric matrix containing the average correlation matrix. The average is only calculated when the ‘enma’ object is calculated with ‘rm.gaps=TRUE’.

### Author(s)

Lars Skjaerven

### References

Wynsberghe. A.W.V, Cui, Q. Structure 14, 1647–1653. Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`nma`, `dccm.nma`, `plot.dccm`

### Examples

    ## Needs MUSCLE installed - testing excluded

    if(check.utility("muscle")) {

    ## Fetch PDB files and split to chain A only PDB files
    ids <- c("1a70_A", "1czp_A", "1frd_A", "1fxi_A", "1iue_A", "1pfd_A")
    files <- get.pdb(ids, split = TRUE, path = tempdir())

    ## Sequence/Structure Alignement
    pdbs <- pdbaln(files, outfile = tempfile())

    ## Normal mode analysis on aligned data
    modes <- nma(pdbs)

    ## Calculate all 6 correlation matrices
    cij <- dccm(modes)

    ## Plot correlations for first structure
    plot.dccm(cij$all.dccm[,,1])

    }

[Package bio3d version 2.3-4 Index]